Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/proxychains-ng: install and install-config returns 1 in case of error

Linux User
Details
Message ID
<1430294296-26952-1-git-send-email-fcolista@alpinelinux.org>
Sender timestamp
1430294296
DKIM signature
missing
Download raw message
Patch: +2 -3
---
 testing/proxychains-ng/APKBUILD | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/testing/proxychains-ng/APKBUILD b/testing/proxychains-ng/APKBUILD
index 463a2ac..b40ba25 100644
--- a/testing/proxychains-ng/APKBUILD
+++ b/testing/proxychains-ng/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Francesco Colista <fcolista@alpinelinux.org>
 pkgname=proxychains-ng	
 pkgver=4.8.1
-pkgrel=0
+pkgrel=1
 pkgdesc="This tool provides proxy server support to any app."
 url="https://github.com/rofl0r/proxychains-ng"
 arch="all"
@@ -36,8 +36,7 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	make DESTDIR="$pkgdir" install-config
+	make DESTDIR="$pkgdir" install install-config || return 1
 	ln -s proxychains4 "$pkgdir"/usr/bin/proxychains
 }
 
-- 
2.3.6



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Bartłomiej Piotrowski
Details
Message ID
<bb0a502128ac9519b647d2615ca27fd5@server-speed.net>
In-Reply-To
<1430294296-26952-1-git-send-email-fcolista@alpinelinux.org> (view parent)
Sender timestamp
1430383233
DKIM signature
missing
Download raw message
On 2015-04-29 09:58, Linux User wrote:
> ---
>  testing/proxychains-ng/APKBUILD | 5 ++---
>  1 file changed, 2 insertions(+), 3 deletions(-)
> 
> diff --git a/testing/proxychains-ng/APKBUILD 
> b/testing/proxychains-ng/APKBUILD
> index 463a2ac..b40ba25 100644
> --- a/testing/proxychains-ng/APKBUILD
> +++ b/testing/proxychains-ng/APKBUILD
> @@ -2,7 +2,7 @@
>  # Maintainer: Francesco Colista <fcolista@alpinelinux.org>
>  pkgname=proxychains-ng
>  pkgver=4.8.1
> -pkgrel=0
> +pkgrel=1
>  pkgdesc="This tool provides proxy server support to any app."
>  url="https://github.com/rofl0r/proxychains-ng"
>  arch="all"
> @@ -36,8 +36,7 @@ build() {
> 
>  package() {
>  	cd "$_builddir"
> -	make DESTDIR="$pkgdir" install
> -	make DESTDIR="$pkgdir" install-config
> +	make DESTDIR="$pkgdir" install install-config || return 1
>  	ln -s proxychains4 "$pkgdir"/usr/bin/proxychains
>  }

Merged and pushed, thanks.

BP


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---